Package org.eclipse.birt.core.ui.frameworks.taskwizard

# Class TreeCompoundTask

java.lang.Object
org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask
org.eclipse.birt.core.ui.frameworks.taskwizard.CompoundTask
org.eclipse.birt.core.ui.frameworks.taskwizard.TreeCompoundTask

All Implemented Interfaces:
  `ITask`, `org.eclipse.jface.dialogs.IDialogPage`

public class TreeCompoundTask extends CompoundTask
Compound task realized for tree navigator.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.eclipse.swt.widgets.Composite`
`cmpSubtaskContainer`
`protected static final String`
`INDEX_SEPARATOR`
`protected NavTree`
`navTree`

### Fields inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.CompoundTask

`sCurrentTaskSheet`

### Fields inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask

`container, context, topControl`

## Constructor Summary

Constructors
Constructor
Description
`TreeCompoundTask(String sLabel, boolean needHistory)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`containSubtask(String sSubtaskPath)`
`protected org.eclipse.swt.widgets.Composite`
`createContainer(org.eclipse.swt.widgets.Composite parent)`
Creates the UI in the right of tree navigator
`void`
`createControl(org.eclipse.swt.widgets.Composite parent)`
`protected void`
`createSubtaskArea(org.eclipse.swt.widgets.Composite parent, ISubtaskSheet subtask)`
`protected org.eclipse.swt.widgets.Composite`
`createTitleArea(org.eclipse.swt.widgets.Composite parent)`
Creates the compound task's title area.
`void`
`dispose()`
`protected org.eclipse.swt.widgets.TreeItem`
`getDefaultSelection()`
`NavTree`
`getNavigatorTree()`
`protected String`
`getPopupSelection()`
`protected ISubtaskSheet`
`getSubtask(String sSubtaskPath)`
`protected String`
`getSubtaskSelection()`
`protected String`
`getTitleAreaString()`
`protected void`
`populateSubtasks()`
`void`
`setPopupSelection(String popupName)`
Stores the last popup selection to open in the next time.
`protected void`
`setSubtaskSelection(String subtaskPath)`
`void`
`switchTo(String sSubtaskPath)`
`protected void`
`switchTo(String sSubtaskPath, boolean needSelection)`
`protected void`
`switchToDefaultItem()`
`void`
`switchToTreeItem(org.eclipse.swt.widgets.TreeItem treeItem)`
Switches to the specified subtask and sets the selection
`void`
`updateTree()`
Updates left tree which contains all page nodes.
`protected void`
`updateTreeItem()`

### Methods inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.CompoundTask

`addSubtask, getCurrentSubtask, removeSubtask`

### Methods inherited from class org.eclipse.birt.core.ui.frameworks.taskwizard.SimpleTask

`addError, getContext, getControl, getDescription, getErrorMessage, getErrors, getImage, getMessage, getTitle, performHelp, removeError, setContext, setDescription, setErrorHints, setImageDescriptor, setTitle, setUIProvider, setVisible`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cmpSubtaskContainer

protected org.eclipse.swt.widgets.Composite cmpSubtaskContainer

### navTree

protected NavTree navTree

### INDEX_SEPARATOR

protected static final String INDEX_SEPARATOR

See Also:
  - Constant Field Values

## Constructor Details

### TreeCompoundTask

public TreeCompoundTask(String sLabel, boolean needHistory)
Constructor

Parameters:
  `sLabel` - Title of this task
  `needHistory` - Indicates whether history and navigation bar are needed

## Method Details

### createControl

public void createControl(org.eclipse.swt.widgets.Composite parent)

Specified by:
  `createControl` in interface `org.eclipse.jface.dialogs.IDialogPage`
Overrides:
  `createControl` in class `SimpleTask`

### switchToDefaultItem

protected void switchToDefaultItem()

### getDefaultSelection

protected org.eclipse.swt.widgets.TreeItem getDefaultSelection()

### createContainer

protected org.eclipse.swt.widgets.Composite createContainer(org.eclipse.swt.widgets.Composite parent)
Creates the UI in the right of tree navigator

Parameters:
  `parent` - parent composite
Returns:
  top composite of the right part

### createTitleArea

protected org.eclipse.swt.widgets.Composite createTitleArea(org.eclipse.swt.widgets.Composite parent)
Creates the compound task's title area.

Parameters:
  `parent` - the SWT parent for the title area composite.
Returns:
  the created title area composite.

### getTitleAreaString

protected String getTitleAreaString()

### populateSubtasks

protected void populateSubtasks()

### updateTreeItem

protected void updateTreeItem()

### updateTree

public void updateTree()
Updates left tree which contains all page nodes.

Since:
  2.3

### getSubtask

protected ISubtaskSheet getSubtask(String sSubtaskPath)

Overrides:
  `getSubtask` in class `CompoundTask`

### containSubtask

protected boolean containSubtask(String sSubtaskPath)

Overrides:
  `containSubtask` in class `CompoundTask`

### switchTo

protected void switchTo(String sSubtaskPath, boolean needSelection)

### switchTo

public void switchTo(String sSubtaskPath)

Overrides:
  `switchTo` in class `CompoundTask`

### switchToTreeItem

public void switchToTreeItem(org.eclipse.swt.widgets.TreeItem treeItem)
Switches to the specified subtask and sets the selection

Parameters:
  `treeItem` - Tree item corresponded to the subtask

### createSubtaskArea

protected void createSubtaskArea(org.eclipse.swt.widgets.Composite parent, ISubtaskSheet subtask)

### getNavigatorTree

public NavTree getNavigatorTree()

### setPopupSelection

public void setPopupSelection(String popupName)
Stores the last popup selection to open in the next time. If this selection is not existent in current subtask, to open the popup stored in the subtask.

Parameters:
  `popupName` - popup key registered in the subtask.

### getPopupSelection

protected String getPopupSelection()

### setSubtaskSelection

protected void setSubtaskSelection(String subtaskPath)

### getSubtaskSelection

protected String getSubtaskSelection()

### dispose

public void dispose()

Specified by:
  `dispose` in interface `org.eclipse.jface.dialogs.IDialogPage`
Overrides:
  `dispose` in class `CompoundTask`